﻿Public Class FormMain

    Private Sub FormMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TextBoxAWSAccessKeyId.Text = My.Settings.AWSAccessKeyId
        TextBoxAWSSecretAccessKey.Text = My.Settings.AWSSecretAccessKey
        FormUpload.TextBoxUploadFileName.Text = My.Settings.UploadFileName
        FormUpload.TextBoxUploadBucketName.Text = My.Settings.UploadBucketName
        FormUpload.TextBoxUploadKeyName.Text = My.Settings.UploadKeyName
        FormUpload.TextBoxUploadContentType.Text = My.Settings.UploadContentType
        FormUpload.CheckBoxUploadMakePublic.Checked = My.Settings.UploadMakePublic
        FormDownload.TextBoxDownloadBucketName.Text = My.Settings.DownloadBucketName
        FormDownload.TextBoxDownloadKeyName.Text = My.Settings.DownloadKeyName
        FormDownload.TextBoxDownloadFileName.Text = My.Settings.DownloadFileName
        FormUploadEstimate.TextBoxUploadFileName.Text = My.Settings.UploadEstimateFileName
        FormUploadEstimate.TextBoxUploadBucketName.Text = My.Settings.UploadEstimateBucketName
        FormUploadEstimate.TextBoxUploadKeyName.Text = My.Settings.UploadEstimateKeyName
        FormUploadEstimate.TextBoxUploadContentType.Text = My.Settings.UploadEstimateContentType
        FormUploadEstimate.CheckBoxUploadMakePublic.Checked = My.Settings.UploadEstimateMakePublic
        FormDownloadEstimate.TextBoxDownloadBucketName.Text = My.Settings.DownloadEstimateBucketName
        FormDownloadEstimate.TextBoxDownloadKeyName.Text = My.Settings.DownloadEstimateKeyName
        FormDownloadEstimate.TextBoxDownloadFileName.Text = My.Settings.DownloadEstimateFileName
    End Sub

    Private Sub FormMain_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        My.Settings.AWSAccessKeyId = TextBoxAWSAccessKeyId.Text
        My.Settings.AWSSecretAccessKey = TextBoxAWSSecretAccessKey.Text
        My.Settings.UploadFileName = FormUpload.TextBoxUploadFileName.Text
        My.Settings.UploadBucketName = FormUpload.TextBoxUploadBucketName.Text
        My.Settings.UploadKeyName = FormUpload.TextBoxUploadKeyName.Text
        My.Settings.UploadContentType = FormUpload.TextBoxUploadContentType.Text
        My.Settings.UploadMakePublic = FormUpload.CheckBoxUploadMakePublic.Checked
        My.Settings.DownloadBucketName = FormDownload.TextBoxDownloadBucketName.Text
        My.Settings.DownloadKeyName = FormDownload.TextBoxDownloadKeyName.Text
        My.Settings.DownloadFileName = FormDownload.TextBoxDownloadFileName.Text
        My.Settings.UploadEstimateFileName = FormUploadEstimate.TextBoxUploadFileName.Text
        My.Settings.UploadEstimateBucketName = FormUploadEstimate.TextBoxUploadBucketName.Text
        My.Settings.UploadEstimateKeyName = FormUploadEstimate.TextBoxUploadKeyName.Text
        My.Settings.UploadEstimateContentType = FormUploadEstimate.TextBoxUploadContentType.Text
        My.Settings.UploadEstimateMakePublic = FormUploadEstimate.CheckBoxUploadMakePublic.Checked
        My.Settings.DownloadEstimateBucketName = FormDownloadEstimate.TextBoxDownloadBucketName.Text
        My.Settings.DownloadEstimateKeyName = FormDownloadEstimate.TextBoxDownloadKeyName.Text
        My.Settings.DownloadEstimateFileName = FormDownloadEstimate.TextBoxDownloadFileName.Text
    End Sub

    Private Sub LinkLabelGetAmazonAccount_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabelGetAmazonAccount.LinkClicked
        System.Diagnostics.Process.Start("http://aws.amazon.com/")
    End Sub

    Private Sub ButtonUploadForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonUploadForm.Click
        FormUpload.ShowDialog(Me)
    End Sub

    Private Sub ButtonUploadEstimateForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonUploadEstimateForm.Click
        FormUploadEstimate.ShowDialog(Me)
    End Sub

    Private Sub ButtonDownloadForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDownloadForm.Click
        FormDownload.ShowDialog(Me)
    End Sub

    Private Sub ButtonDownloadEstimateForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonDownloadEstimateForm.Click
        FormDownloadEstimate.ShowDialog(Me)
    End Sub

End Class
